<?php
if($this->session->userdata('is_logged_in')===FALSE){
    redirect('login');
}
?>
<div class="templatepopcentering" >
    <div style="border: 1px solid #ffffff;">
        <div id='pop' style="padding:5px;">
        <form id="frm_ba" class="templatepopform" method="" action="">
			 <table id="" style="padding:5px;">
                <tr><td colspan="2" class="templatepoptitle">
                <?php 
                    echo strtoupper($judul."<br/>Perkara ".$jnsperkara);
                ?>
                </td>
                </tr>
                <tr>
                    <td class="templatepopleftcol">Nomor Perkara</td>
                    <td><span style="font-size:13px;padding-left:5px;"><?php echo $nomor_perkara; ?></span></td> 
                </tr>
                <tr>
                    <td class="templatepopleftcol">Jenis Berita Acara<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;' name="jenis_ba" id="jenis_ba" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='-1'>Pilih Jenis Berita Acara</option>
                                <?php
                                    if($template!=''){
                                        if($template->num_rows>0){
                                            $id = '0';
                                            foreach ($template->result() as $row) {
												if (!empty($row->kode)||($row->kode)!=NULL){
												$id++;
                                                echo '<option value="'.$row->kode.'">'.'0'.$id.'. '.$row->nama.'</option>';
												}
                                            }
                                        }
                                     }
                                    ?>
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr class="tanggalPersidangan"  style="display:none;">
                    <td class="templatepopleftcol">Tanggal Persidangan<font color=red>*</font></td>
                    <td>
                      <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="tanggalPersidangan" id="tanggalPersidangan" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='-1'>Pilih Jadwal Sidang</option>
                                <?php
                                    if($jadwal_sidang!=''){
                                        if($jadwal_sidang->num_rows>0){
                                            $id = '0';
                                            foreach ($jadwal_sidang->result() as $row) {
                                                $id = base64_encode($this->encrypt->encode($row->id));
                                                if ($row->tanggal_sidang==$tgl)
                                                {
                                                    echo '<option selected value="'.$id.'">['.$this->templatehelper->convertKeTglIndo($row->tanggal_sidang).'] '.$row->agenda.'</option>';
                                                }
                                            }
                                        }
                                     }
                                    ?>
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr class="pihakPenggugat"  style="display:none;">
                    <td class="templatepopleftcol">Penggugat<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="penggugat" id="penggugat" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='-1'>Pilih Pihak</option>
                                <?php
                                    if($penggugat!=''){
                                        if($penggugat->num_rows>0){
                                            $id = '0';
                                            foreach ($penggugat->result() as $row) {
                                                $id = base64_encode($this->encrypt->encode($row->id));
                                                echo '<option value="'.$id.'">'.$row->nama.'</option>';
                                            }
                                        }
                                     }
                                    ?>
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr class="pihakTergugat" style="display:none;">
                    <td class="templatepopleftcol">Tergugat<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="tergugat" id="tergugat" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='-1'>Pilih Pihak</option>
                                <?php
                                    if($tergugat!=''){
                                        if($tergugat->num_rows>0){
                                            $id = '0';
                                            foreach ($tergugat->result() as $row) {
                                                $id = base64_encode($this->encrypt->encode($row->id));
                                                echo '<option value="'.$id.'">'.$row->nama.'</option>';
                                            }
                                        }
                                     }
                                    ?>
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr class="petugasSita" style="display:none;">
                    <td class="templatepopleftcol">Petugas Sita</td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                        <select name="petugas_sita" id="petugas_sita" onchange="" style="width:250px;" class="custom-dropdown__select custom-dropdown__select--white">
                            <option value="-1" selected>Pilih Petugas Sita</option>
                            <option value="1">Panitera</option>
                            <option value="2">Wakil Panitera</option>
                        </select>
                        </span>
                    </td>
                </tr>
                <tr class="kurator" style="display:none;">
                    <td class="templatepopleftcol">Kurator</td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                        <select name="kurator" id="kurator" onchange="" style="width:250px;" class="custom-dropdown__select custom-dropdown__select--white">
                            <option value="-1" selected>Pilih Kurator</option>
                                <?php
                                    if($kurator!=''){
                                        if($kurator->num_rows>0){
                                            $id = '0';
                                            foreach ($kurator->result() as $row) {
                                                $id = base64_encode($this->encrypt->encode($row->id));
                                                echo '<option value="'.$id.'">'.$row->nama.'</option>';
                                            }
                                        }
                                     }
                                    ?>
                        </select>
                        </span>
                    </td>
                </tr>
                <tr class="keteranganPH" style="display:none;">
                    <td class="templatepopleftcol">Keterangan Penasihat Hukum</td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                        <select name="keteranganPH" id="keteranganPH" onchange="" style="width:250px;" class="custom-dropdown__select custom-dropdown__select--white">
                            <option value="-1" selected>Pilih Keterangan Penasihat Hukum</option>
                            <option value="1">Terdakwa Tidak Didampingi Penasihat Hukum</option>
                            <option value="2">Terdakwa Didampingi Penasihat Hukum</option>
                            <option value="3">Terdakwa Didampingi Penasihat Hukum, Tidak Mampu</option>
                            <option value="4">Terdakwa Didampingi Penasihat Hukum, Ancaman Pidana Mati atau 15 Tahun</option>
                            <option value="5">Terdakwa Menolak Didampingi Penasihat Hukum</option>
                        </select>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" style="background:white;" align="center">
                        <input type="button" id="kembaliPOPBA" value="Kembali" class="btn">
                        <input type="button" id="cetak" onClick='cetakBA();' value="Cetak" class="btn">
                    </td>
                </tr>
            </table>
        </form>
	</div>
</div>
</div>

<?php
    $idperkara=$this->encrypt->decode(base64_decode($enc));
?>
<script type="text/javascript">
$('#kembaliPOPBA').closingFormWin();
$( function() {
    $('.datepicker').datepicker({
        inline: true,
        showOtherMonths: true,
        dateFormat: 'dd/mm/yy',
        dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
    });
}); 
$("#jenis_ba").change(function(){
    if(($(this).val()=='PDT_1_14_200_364')) {
        $("tr.tanggalPersidangan").show();
        $("tr.pihakPenggugat").hide();
        $("tr.pihakTergugat").hide();
        $("tr.petugasSita").hide();
        $("tr.kurator").hide();
        $("tr.keteranganPH").hide();
    } else if(($(this).val()=='PDT_1_14_200_373')){
        $("tr.tanggalPersidangan").hide();
        $("tr.pihakPenggugat").show();
        $("tr.pihakTergugat").show();
        $("tr.petugasSita").show();
        $("tr.kurator").hide();
        $("tr.keteranganPH").hide();
    } else if (($(this).val()=='PDT_3_14_200_307')||($(this).val()=='PDT_3_14_200_301')){
        $("tr.tanggalPersidangan").hide();
        $("tr.pihakPenggugat").hide();
        $("tr.pihakTergugat").hide();
        $("tr.petugasSita").hide();
        $("tr.kurator").show();
        $("tr.keteranganPH").hide();
    } else if (($(this).val()=='PID_111_14_200_301')||($(this).val()=='PID_112_14_200_312')){
        $("tr.tanggalPersidangan").hide();
        $("tr.pihakPenggugat").hide();
        $("tr.pihakTergugat").hide();
        $("tr.petugasSita").hide();
        $("tr.kurator").hide();
        $("tr.keteranganPH").show();
    } else {
        $("tr.tanggalPersidangan").hide();
        $("tr.pihakPenggugat").hide();
        $("tr.pihakTergugat").hide();
        $("tr.petugasSita").hide();
        $("tr.kurator").hide();
        $("tr.keteranganPH").hide();
    }
})



function cetakBA(){
    var jenis_ba = $('#jenis_ba option:selected').attr('value');
    var enc = "<?php echo ($enc); ?>";
    if(jenis_ba=='-1'){ alert('Silahkan Pilih Jenis Berita Acara'); return; }
    <?php if($alur_perkara_id <= '100') { ?>
        var penggugat = "-";
        var tergugat = "-";
        var petugas_sita = "-";
        var tanggalPersidangan = "-";
        var kurator="-";

        //BA Sita Revindicatoir
        if(jenis_ba==='PDT_1_14_200_373'){
            var penggugat = $('#penggugat option:selected').attr('value');
            var tergugat = $('#tergugat option:selected').attr('value');
            var petugas_sita = $('#petugas_sita option:selected').attr('value');
            if(penggugat=='-1'){alert('Silahkan Pilih Pihak Penggugat'); return; }
            if(tergugat=='-1'){alert('Silahkan Pilih Pihak Tergugat'); return; }
            if(petugas_sita=='-1'){alert('Silahkan Pilih Petugas Sita'); return; }
        }
        
        //BA Tergugat Tidak Hadir
        if(jenis_ba==='PDT_1_14_200_364'){
           var tanggalPersidangan = $('#tanggalPersidangan option:selected').attr('value');
           if(tanggalPersidangan=='-1'){alert('Silahkan Pilih Tanggal Persidangan'); return; }
        }

        //BA Pailit Renvoi Prosedur
        if(jenis_ba==='PDT_3_14_200_307'){
            var kurator = $('#kurator option:selected').attr('value');
            if(kurator=='-1'){alert('Silahkan Pilih Kurator'); return; }
        }

        if(jenis_ba==='PDT_3_14_200_301'){
            var kurator = $('#kurator option:selected').attr('value');
            if(kurator=='-1'){alert('Silahkan Pilih Kurator'); return; }
        }
   
    
    window.open('<?php echo base_url("c_template_berita_acara/cetak_ba_perdata")?>/'+enc+
            '/'+jenis_ba+
            '/'+penggugat+
            '/'+tergugat+
            '/'+petugas_sita+
            '/'+kurator+
            '/'+tanggalPersidangan,'_self');
    //PRAPERADILAN
    <?php } else if ($alur_perkara_id=='119'){ ?>

        window.open('<?php echo base_url("c_template_berita_acara/cetak_ba_prapid")?>/'+enc+'/'+jenis_ba,'_self');

    //PIDANA
    <?php } else if ($alur_perkara_id >= '111'){ ?>
        
        var keteranganPH = "-";
        if((jenis_ba==='PID_111_14_200_301')||(jenis_ba==='PID_112_14_200_312')){
            var keteranganPH = $('#keteranganPH option:selected').attr('value');
            if(keteranganPH=='-1'){alert('Silahkan Pilih Keterangan Penasihat Hukum'); return; }
        }
        window.open('<?php echo base_url("c_template_berita_acara/cetak_ba_pidana")?>/'+enc+
            '/'+keteranganPH+
            '/'+jenis_ba,'_self');

   <?php  } ?>
}   
</script>